<?php
final class ManagerDao extends Dao {
  private static $ALL = <<<'SQL'
select login_id
  from manager
 order by login_id
SQL;
  private static $PK = <<<'SQL'
select login_id
  from manager
 where login_id = '%s'
   and password = '%s'
SQL;
  public function getAll() {
    return $this->execute(self::$ALL);
  }
  public function getByPk($pk) {
    return $this->execute(self::$PK, $pk);
  }
}
// EOF.
